| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::MediaStreamHandlerTransport Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- uint componentNumber
- QString IPAddress
- uint port
- uint protocol
- QString subtype
- QString profile
- double preferenceValue
- uint transportType
- QString username
- QString password

## Detailed Description

Structure type generated from the specification.

## Member Data Documentation

uint Tp::MediaStreamHandlerTransport::componentNumber

QString Tp::MediaStreamHandlerTransport::IPAddress

uint Tp::MediaStreamHandlerTransport::port

uint Tp::MediaStreamHandlerTransport::protocol

QString Tp::MediaStreamHandlerTransport::subtype

QString Tp::MediaStreamHandlerTransport::profile

double Tp::MediaStreamHandlerTransport::preferenceValue

uint Tp::MediaStreamHandlerTransport::transportType

QString Tp::MediaStreamHandlerTransport::username

QString Tp::MediaStreamHandlerTransport::password